# DataExchange
TKXSBase
Interface

# Interface_DataMapIteratorOfDataMapOfTransientInteger Class Reference

`#include <Interface_DataMapIteratorOfDataMapOfTransientInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_DataMapIteratorOfDataMapOfTransientInteger ()
Standard_EXPORT | Interface_DataMapIteratorOfDataMapOfTransientInteger (const Interface_DataMapOfTransientInteger &aMap)
Standard_EXPORT void | Initialize (const Interface_DataMapOfTransientInteger &aMap)
Standard_EXPORT const Handle_Standard_Transient & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Interface_DataMapIteratorOfDataMapOfTransientInteger::Interface_DataMapIteratorOfDataMapOfTransientInteger | ( |  | ) |

Standard_EXPORT Interface_DataMapIteratorOfDataMapOfTransientInteger::Interface_DataMapIteratorOfDataMapOfTransientInteger | ( | const Interface_DataMapOfTransientInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Interface_DataMapIteratorOfDataMapOfTransientInteger::Initialize | ( | const Interface_DataMapOfTransientInteger & | aMap | ) |

Standard_EXPORT const Handle_Standard_Transient& Interface_DataMapIteratorOfDataMapOfTransientInteger::Key | ( |  | ) | const

void Interface_DataMapIteratorOfDataMapOfTransientInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_DataMapIteratorOfDataMapOfTransientInteger::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_DataMapIteratorOfDataMapOfTransientInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& Interface_DataMapIteratorOfDataMapOfTransientInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Interface_DataMapIteratorOfDataMapOfTransientInteger.hxx